Subject: Re: [RFC] cherry-pick using multiple parents to implement -x

From: Paolo Bonzini <[email-masked]>
Date: Mon, 08 Sep 2008 16:57:21 +0200

> Second, unless such header would be for informational purposes only
> (there was even proposal to add generic 'note <sth>' informational
> only header, but it was shot down; see the archives), you would have
> to do quite a bit of surgery to revision walking code.  For example
> you would have to think about how commits pointed by 'origin' header
> would be protected against pruning; if you allow to prune parents of
> grandparents of cherry-picked commits, you would break I think a lot
> of assumptions in the code, and assumption in git design that if we
> have commit, then all that it references should be available (well,
> there are grafts, and there is shallow clone, but those modify
> reachability...).

I think it would be used mostly for informational purposes (for
hyperlinks in gitk, and in git-cherry).

Paolo